Permalink
Browse files

Enable to write blog in ipynb format

  • Loading branch information...
yuku committed Jan 14, 2019
1 parent c7e792d commit 1c18e263dcc3ca54c0061ccda57b4bca8ba9f9fd
@@ -0,0 +1,58 @@
version: 2
jobs:
build:
working_directory: ~/repo
docker:
- image: circleci/node:10.14
environment:
PIPENV_VENV_IN_PROJECT: true
steps:
- checkout
- restore_cache:
keys:
- v1-node-dependencies-{{ checksum "package.json" }}
- v1-node-dependencies-
- run: yarn install
- save_cache:
paths:
- node_modules
key: v1-node-dependencies-{{ checksum "package.json" }}
- run: yarn test
deploy:
docker:
- image: circleci/python:3.7-node
environment:
PIPENV_VENV_IN_PROJECT: true
steps:
- checkout
- restore_cache:
keys:
- v1-node-dependencies-{{ checksum "package.json" }}
- run: yarn install
- restore_cache:
keys:
- v1-python-dependencies-{{ checksum "Pipfile" }}
- v1-python-dependencies-
- run:
name: install dependencies
command: |
sudo pip install pipenv
pipenv install
- save_cache:
paths:
- .venv
key: v1-python-dependencies-{{ checksum "Pipfile" }}
- run: pipenv run yarn build
- run: bash .circleci/deploy.sh

workflows:
version: 2
build-and-deploy:
jobs:
- build
- deploy:
requires:
- build
filters:
branches:
only: workspace
@@ -0,0 +1,17 @@
#!/usr/bin/env bash

set -e

git config --global push.default simple
git config --global user.name "$USER_NAME"
git config --global user.email "$USER_EMAIL"

git clone -q --branch=master $CIRCLE_REPOSITORY_URL temp

cd temp
find . -maxdepth 1 ! -name '.git' ! -name '.' ! -name '..' -exec rm -rf {} \;
mv ../out/* ../out/.nojekyll .

git add -f .
git commit --allow-empty -m "$(git log origin/workspace -1 --pretty=%B)"
git push -f
@@ -1,8 +1,9 @@
.ipynb_checkpoints
.next
node_modules
npm-debug.log*
out
src/entries.ts
pages/blog/**/*.tsx
tmp
yarn-debug.log*
yarn-error.log*
@@ -2,4 +2,4 @@
out
tmp
types/next-ga.d.ts
src/entries.ts
pages/blog/**/*.tsx
12 Pipfile
@@ -0,0 +1,12 @@
[[source]]
name = "pypi"
url = "https://pypi.org/simple"
verify_ssl = true

[dev-packages]

[packages]
jupyter = "*"

[requires]
python_version = "3.7"
Oops, something went wrong.

0 comments on commit 1c18e26

Please sign in to comment.